	<div class="blockform">
		<h2><span>Ranks</span></h2>
		<div class="box">
			<form id="ranks" method="post" action="<%= url_for :action => 'index' %>">
				<div class="inform">
					<fieldset>
						<legend>Add rank</legend>
						<div class="infldset">
							<p>Enter a rank and the minimum number of posts that a user has to have to aquire the rank. Different ranks cannot have the same value for minimum posts. If a title is set for a user, the title will be displayed instead of any rank. <strong>User ranks must be enabled in <a href="<%= url_for :action => 'options', :anchor => 'ranks'%>">Options</a> for this to have any effect.</strong></p>
							<table  cellspacing="0">
							<thead>
								<tr>
									<th class="tcl" scope="col">Rank&nbsp;title</th>
									<th class="tc2" scope="col">Minimum&nbsp;posts</th>
									<th class="hidehead" scope="col">Action</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td><input type="text" name="new_rank" size="24" maxlength="50" tabindex="1" /></td>
									<td><input type="text" name="new_min_posts" size="7" maxlength="7" tabindex="2" /></td>
									<td><input type="submit" name="add_rank" value=" Add " tabindex="3" /></td>
								</tr>
							</tbody>
							</table>
						</div>
					</fieldset>
				</div>
				<div class="inform">
					<fieldset>
						<legend>Edit/remove ranks</legend>
						<div class="infldset">
<% if @ranks.length == 0 -%>
							<p>No ranks in list.</p>
<% else -%>
							<table  cellspacing="0">
							<thead>
								<tr>
									<th class="tcl" scope="col"><strong>Rank&nbsp;title</strong></th>
									<th class="tc2" scope="col"><strong>Minimum&nbsp;Posts</strong></th>
									<th class="hidehead" scope="col">Actions</th>
								</tr>
							</thead>
							<tbody>
<% for r in @ranks -%>
								<tr><td><input type="text" name="rank<%= r.id %>" value="<%=h r.rank %>" size="24" maxlength="50" /></td><td><input type="text" name="min_posts[<%= r.id %>]" value="<%= r.min_posts %>" size="7" maxlength="7" /></td><td><input type="submit" name="update[<%= r.id %>]" value="Update" />&nbsp;<input type="submit" name="remove[<%= r.id %>]" value="Remove" /></td></tr>
<% end -%>
							</tbody>
							</table>
<% end -%>
						</div>
					</fieldset>
				</div>
			</form>
		</div>
	</div>
	<div class="clearer"></div>
</div>
